Package ru.bitel.bgbilling.plugins.helpdesk.common.service

# Interface HelpdeskService

    @MTOM(enabled=true)
    public interface HelpdeskService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<IdTitle>` | `categoryList()` |
  `MapHolder<IdTitle,​java.util.List<IdTitle>>` | `categoryMapForContract​(int contractId)` |
  `java.util.List<java.lang.String>` | `categorySubcategoryIdsForGroup​(int contractId)` |
  `void` | `fileDelete​(int fileId)` |
  `void` | `fileDownload​(int fileId, int contractId, javax.xml.ws.Holder<BGServerFile> serverFile, javax.xml.ws.Holder<javax.activation.DataHandler> fileData)` | FileDownload("id")
  `FileInfo` | `fileUpload​(java.lang.String topicId, java.lang.String uuid, java.lang.String filename, long size, javax.xml.ws.Holder<javax.activation.DataHandler> fileData)` | было FileUpload("id","comment","filename","filedata","size")
  `java.util.List<IdTitle>` | `managerList()` |
  `int` | `messageNewCount()` | Количество новых сообщений (всего)
  `int` | `messageUpdate​(Message message)` |
  `int` | `reserveStatusGet​(int topicId)` | Получение резервного статуса у топика.
  `int` | `reservStatusUpdate​(int topicId, int reserveStatus)` | Обновление статуса резервирования у топика.
  `java.util.List<IdTitle>` | `subcategoryList()` |
  `void` | `topicAutocloseUpdate​(int topicId, boolean autoclose)` |
  `void` | `topicCategorySubcategoryUpdate​(int topicId, int categoryId, int subcategoryId)` |
  `int` | `topicCostUpdate​(int topicId, java.math.BigDecimal sum)` | Установка, обновление стоимости топика.
  `int[]` | `topicCreate​(Topic topic, Message message)` |
  `Topic` | `topicGet​(int id, boolean loadMessages)` |
  `Result<Topic>` | `topicList​(int contractId, int id, java.lang.Boolean history, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title, java.lang.String message, Page page)` |
  `void` | `topicManagerChange​(int topicId, int managerId, java.lang.String comment)` |
  `java.util.List<ChangeManager>` | `topicManagerChangeList​(int topicId)` |
  `void` | `topicMarkReadByCustomer​(int contractId, int id)` |
  `int` | `topicNotificationUpdate​(int topicId, int mode, java.lang.String value)` |
  `SearchResult<Topic>` | `topicSearch​(int topicId, java.lang.String title, java.lang.String message, int status, java.lang.String userSelect, boolean onlynew, boolean closed, Period period, Page page)` |
  `void` | `topicStateUpdate​(int topicId, boolean state, boolean packageMode)` |
  `java.util.List<IdTitle>` | `topicStatusList()` |
  `void` | `topicStatusUpdate​(int topicId, int status)` |
  `void` | `topicUpdateState​(int contractId, int id, boolean state)` |

- ## Method Details

  - ### reservStatusUpdate

    int reservStatusUpdate​(int topicId, int reserveStatus) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Обновление статуса резервирования у топика. Если устанавлиемый статус "BLOCKED", но средств на счету не достаточно, то устанавливается статус IN_WHAIT. И уже в дольнейшем будет произведена попытка заболокировать требуемую сумму.
    Parameters:
      `topicId` - - код топика.
      `reserveStatus` - - устанавливаемый статуc. смотреть значения в `HelpDeskConstants`;
    Returns:
      - кол-во изменненых строк в БД.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### reserveStatusGet

    int reserveStatusGet​(int topicId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение резервного статуса у топика.
    Parameters:
      `topicId` - - ид топика.
    Returns:
      - статусы из `HelpDeskConstants`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicCostUpdate

    int topicCostUpdate​(int topicId, java.math.BigDecimal sum) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Установка, обновление стоимости топика. При дальнейшем переводе на сервайсы заменить обычным обновлением топика.
    Parameters:
      `topicId` - - ид топика.
      `sum` - - устанавливамя стоимость.
    Returns:
      - кол-во измененных строк в БД.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicNotificationUpdate

    int topicNotificationUpdate​(int topicId, int mode, java.lang.String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### fileDelete

    void fileDelete​(int fileId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### fileDownload

    void fileDownload​(int fileId, int contractId, javax.xml.ws.Holder<BGServerFile> serverFile, javax.xml.ws.Holder<javax.activation.DataHandler> fileData) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    FileDownload("id")
    Parameters:
      `fileId` - ид файла
      `cid` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### fileUpload

    FileInfo fileUpload​(java.lang.String topicId, java.lang.String uuid, java.lang.String filename, long size, javax.xml.ws.Holder<javax.activation.DataHandler> fileData) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    было FileUpload("id","comment","filename","filedata","size")
    Parameters:
      `topicId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### categoryMapForContract

    MapHolder<IdTitle,​java.util.List<IdTitle>> categoryMapForContract​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicCreate

    int[] topicCreate​(Topic topic, Message message) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicGet

    Topic topicGet​(int id, boolean loadMessages) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicSearch

    SearchResult<Topic> topicSearch​(int topicId, java.lang.String title, java.lang.String message, int status, java.lang.String userSelect, boolean onlynew, boolean closed, Period period, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicList

    Result<Topic> topicList​(int contractId, int id, java.lang.Boolean history, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title, java.lang.String message, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicMarkReadByCustomer

    void topicMarkReadByCustomer​(int contractId, int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicUpdateState

    void topicUpdateState​(int contractId, int id, boolean state) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### messageUpdate

    int messageUpdate​(Message message) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### messageNewCount

    int messageNewCount() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Количество новых сообщений (всего)
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicStatusList

    java.util.List<IdTitle> topicStatusList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### categoryList

    java.util.List<IdTitle> categoryList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### subcategoryList

    java.util.List<IdTitle> subcategoryList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### categorySubcategoryIdsForGroup

    java.util.List<java.lang.String> categorySubcategoryIdsForGroup​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### managerList

    java.util.List<IdTitle> managerList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicManagerChangeList

    java.util.List<ChangeManager> topicManagerChangeList​(int topicId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicManagerChange

    void topicManagerChange​(int topicId, int managerId, java.lang.String comment) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicStatusUpdate

    void topicStatusUpdate​(int topicId, int status) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicStateUpdate

    void topicStateUpdate​(int topicId, boolean state, boolean packageMode) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicAutocloseUpdate

    void topicAutocloseUpdate​(int topicId, boolean autoclose) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### topicCategorySubcategoryUpdate

    void topicCategorySubcategoryUpdate​(int topicId, int categoryId, int subcategoryId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`